Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1265462 - routing errors under cloud objects
Summary: routing errors under cloud objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.0
Assignee: lgalis
QA Contact: Kyrylo Zvyagintsev
URL:
Whiteboard:
Depends On: 1277641
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-23 01:35 UTC by Dave Johnson
Modified: 2015-12-08 13:32 UTC (History)
5 users (show)

Fixed In Version: 5.5.0.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 13:32:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Problems with navigation to images from relationships (91.36 KB, image/png)
2015-11-03 16:53 UTC, Kyrylo Zvyagintsev
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1265404 0 high CLOSED "The page you were looking for doesn't exist" displayed while navigating to cloud provider timeline pages 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2015:2551 0 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Internal Links: 1265404

Description Dave Johnson 2015-09-23 01:35:29 UTC
Description of problem:
=========================
When going from a cloud provider summary page and clicking on object relationship items from the accordion, or turning to the next page after clicking on a item from the relationship table, the UI displays a 'Page does not exist' error and shows routing errors in production.log.

If I go to the Cloud > Object tab and use pagination there, everything works.


production.log snippet...
[----] I, [2015-09-22T21:17:33.949454 #2811:d77990]  INFO -- : Started GET "/assets/favicon.ico" for 127.0.0.1 at 2015-09-22 21:17:33 -0400
[----] I, [2015-09-22T21:17:36.802671 #2811:d77990]  INFO -- : Started GET "/assets/favicon.ico" for 127.0.0.1 at 2015-09-22 21:17:36 -0400
[----] I, [2015-09-22T21:17:38.571332 #2811:d77990]  INFO -- : Started GET "/ems_cloud/show/12?display=flavors" for 127.0.0.1 at 2015-09-22 21:17:38 -0400
[----] F, [2015-09-22T21:17:38.572737 #2811:d77990] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/ems_cloud/show/12"):
  actionpack (4.2.4) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  railties (4.2.4) lib/rails/rack/logger.rb:38:in `call_app'
  railties (4.2.4) lib/rails/rack/logger.rb:22:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  activesupport (4.2.4) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  railties (4.2.4) lib/rails/engine.rb:518:in `call'
  railties (4.2.4) lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  railties (4.2.4) lib/rails/commands/server.rb:80:in `start'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:80:in `block in server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `tap'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  railties (4.2.4) lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'


[----] I, [2015-09-22T21:17:38.983546 #2811:d77990]  INFO -- : Started GET "/assets/favicon.ico" for 127.0.0.1 at 2015-09-22 21:17:38 -0400
[----] I, [2015-09-22T21:17:40.254135 #2811:d77990]  INFO -- : Started GET "/assets/favicon.ico" for 127.0.0.1 at 2015-09-22 21:17:40 -0400
[----] I, [2015-09-22T21:20:35.233855 #2811:d77990]  INFO -- : Started GET "/ems_cloud/12?display=security_groups" for 127.0.0.1 at 2015-09-22 21:20:35 -0400
[----] I, [2015-09-22T21:20:35.236554 #2811:d77990]  INFO -- : Processing by EmsCloudController#show as HTML
[----] I, [2015-09-22T21:20:35.236632 #2811:d77990]  INFO -- :   Parameters: {"display"=>"security_groups", "id"=>"12"}
[----] I, [2015-09-22T21:20:35.723979 #2811:d77990]  INFO -- :   Rendered layouts/_info_msg.html.haml (0.1ms)
<snip>
[----] I, [2015-09-22T21:20:35.850576 #2811:d77990]  INFO -- :   Rendered layouts/_footer.html.haml (0.4ms)
[----] I, [2015-09-22T21:20:35.859551 #2811:d77990]  INFO -- : Completed 200 OK in 623ms (Views: 108.5ms | ActiveRecord: 95.1ms)
[----] I, [2015-09-22T21:20:36.877048 #2811:d77990]  INFO -- : Started GET "/assets/dhtmlx_gpl_36/imgs/dhxtoolbar_miq_blue/dhxtoolbar_btnarrow.png" for 127.0.0.1 at 2015-09-22 21:20:36 -0400
[----] I, [2015-09-22T21:20:39.860758 #2811:d77990]  INFO -- : Started GET "/ems_cloud/show/12?display=security_groups&page=2" for 127.0.0.1 at 2015-09-22 21:20:39 -0400
[----] F, [2015-09-22T21:20:39.862379 #2811:d77990] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/ems_cloud/show/12"):
  actionpack (4.2.4) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  railties (4.2.4) lib/rails/rack/logger.rb:38:in `call_app'
  railties (4.2.4) lib/rails/rack/logger.rb:22:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  activesupport (4.2.4) lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  actionpack (4.2.4) lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  railties (4.2.4) lib/rails/engine.rb:518:in `call'
  railties (4.2.4) lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  railties (4.2.4) lib/rails/commands/server.rb:80:in `start'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:80:in `block in server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `tap'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:75:in `server'
  railties (4.2.4) lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  railties (4.2.4) lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'


Version-Release number of selected component (if applicable):
======================================
5.5.0.1


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Dave Johnson 2015-09-23 01:40:45 UTC
These two sounds related...

Comment 5 CFME Bot 2015-10-08 21:10:30 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/5f2d4950cf3b101e86c2ac4ac1bf6cb375a9389a

commit 5f2d4950cf3b101e86c2ac4ac1bf6cb375a9389a
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Mon Oct 5 12:28:00 2015 -0400
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Thu Oct 8 11:07:07 2015 -0400

    After the conversion to restful paths the accordion links have to be updated.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1265462
    https://bugzilla.redhat.com/show_bug.cgi?id=1265404

 app/helpers/application_helper.rb              |  6 +++++-
 app/views/layouts/listnav/_ems_cloud.html.haml | 20 +++++++++-----------
 product/toolbars/ems_cloud_center_tb.yaml      |  1 -
 3 files changed, 14 insertions(+), 13 deletions(-)

Comment 7 Kyrylo Zvyagintsev 2015-11-03 16:53:19 UTC
Created attachment 1089147 [details]
Problems with navigation to images from relationships

Comment 14 errata-xmlrpc 2015-12-08 13:32:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.